Bug 251374 - mail/dovecot-fts-xapian: Update to 1.4.4
Summary: mail/dovecot-fts-xapian: Update to 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL: https://github.com/grosjo/fts-xapian
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-25 12:30 UTC by Juraj Lutter
Modified: 2020-12-21 15:57 UTC (History)
0 users

See Also:


Attachments
mail/dovecot-fts-xapian: Update to 1.4.4 (1.51 KB, patch)
2020-11-25 12:30 UTC, Juraj Lutter
otis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter freebsd_committer 2020-11-25 12:30:18 UTC
Created attachment 219958 [details]
mail/dovecot-fts-xapian: Update to 1.4.4

Hi,

please find the patch attached.

    Changelog:
      - Fix Crash while indexing - terminate called after throwing an
        instance of 'std::bad_alloc'
        https://github.com/grosjo/fts-xapian/issues/59

Testport on 11.4, 12.1, 12.2, 13.0 OK.
Comment 1 Automation User 2020-11-25 13:04:14 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/221077521
Comment 2 Juraj Lutter freebsd_committer 2020-12-20 10:51:58 UTC
Differential Revision: https://reviews.freebsd.org/D25927
Comment 3 Juraj Lutter freebsd_committer 2020-12-21 15:57:33 UTC
Fixed in rev r558778